Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel
Interface MIAnalysisMetaModelPackage.Literals

Enclosing interface:
  MIAnalysisMetaModelPackage

    public static interface MIAnalysisMetaModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ANALYSIS_COMPONENT` The meta object literal for the '`Analysis Component`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ANALYSIS_COMPONENT__CLASSNAME` The meta object literal for the 'Classname' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ANALYSIS_COMPONENT__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ANALYSIS_COMPONENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `ANALYSIS_COMPONENT__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `DEPENDENCY` The meta object literal for the '`Dependency`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DEPENDENCY__FILE_PATH` The meta object literal for the 'File Path' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DISPLAY` The meta object literal for the '`Display`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DISPLAY__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DISPLAY__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DISPLAY__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EClass` | `DISPLAY_CONNECTOR` The meta object literal for the '`Display Connector`' class.
`static org.eclipse.emf.ecore.EReference` | `DISPLAY_CONNECTOR__DISPLAY` The meta object literal for the 'Display' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DISPLAY_CONNECTOR__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DISPLAY_CONNECTOR__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `FILTER` The meta object literal for the '`Filter`' class.
`static org.eclipse.emf.ecore.EReference` | `FILTER__INPUT_PORTS` The meta object literal for the 'Input Ports' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `INPUT_PORT` The meta object literal for the '`Input Port`' class.
`static org.eclipse.emf.ecore.EReference` | `INPUT_PORT__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EClass` | `OUTPUT_PORT` The meta object literal for the '`Output Port`' class.
`static org.eclipse.emf.ecore.EReference` | `OUTPUT_PORT__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EReference` | `OUTPUT_PORT__SUBSCRIBERS` The meta object literal for the 'Subscribers' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PLUGIN` The meta object literal for the '`Plugin`' class.
`static org.eclipse.emf.ecore.EReference` | `PLUGIN__DISPLAYS` The meta object literal for the 'Displays' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PLUGIN__OUTPUT_PORTS` The meta object literal for the 'Output Ports' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PLUGIN__REPOSITORIES` The meta object literal for the 'Repositories' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PORT` The meta object literal for the '`Port`' class.
`static org.eclipse.emf.ecore.EAttribute` | `PORT__EVENT_TYPES` The meta object literal for the 'Event Types' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `PORT__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `PORT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `PROJECT` The meta object literal for the '`Project`' class.
`static org.eclipse.emf.ecore.EReference` | `PROJECT__DEPENDENCIES` The meta object literal for the 'Dependencies' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `PROJECT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `PROJECT__PLUGINS` The meta object literal for the 'Plugins' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PROJECT__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PROJECT__REPOSITORIES` The meta object literal for the 'Repositories' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PROJECT__VIEWS` The meta object literal for the 'Views' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PROPERTY` The meta object literal for the '`Property`' class.
`static org.eclipse.emf.ecore.EAttribute` | `PROPERTY__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `PROPERTY__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `READER` The meta object literal for the '`Reader`' class.
`static org.eclipse.emf.ecore.EClass` | `REPOSITORY` The meta object literal for the '`Repository`' class.
`static org.eclipse.emf.ecore.EClass` | `REPOSITORY_CONNECTOR` The meta object literal for the '`Repository Connector`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REPOSITORY_CONNECTOR__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REPOSITORY_CONNECTOR__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REPOSITORY_CONNECTOR__REPOSITORY` The meta object literal for the 'Repository' reference feature.
`static org.eclipse.emf.ecore.EClass` | `VIEW` The meta object literal for the '`View`' class.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `VIEW__DISPLAY_CONNECTORS` The meta object literal for the 'Display Connectors' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW__NAME` The meta object literal for the 'Name' attribute feature.

Field Detail

### PROJECT

    static final org.eclipse.emf.ecore.EClass PROJECT

  The meta object literal for the '`Project`' class.

  See Also:
    `MProject`, `MAnalysisMetaModelPackage.getProject()`
  Generated:

### PROJECT__PLUGINS

    static final org.eclipse.emf.ecore.EReference PROJECT__PLUGINS

  The meta object literal for the 'Plugins' containment reference list feature.

  Generated:

### PROJECT__NAME

    static final org.eclipse.emf.ecore.EAttribute PROJECT__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### PROJECT__REPOSITORIES

    static final org.eclipse.emf.ecore.EReference PROJECT__REPOSITORIES

  The meta object literal for the 'Repositories' containment reference list feature.

  Generated:

### PROJECT__DEPENDENCIES

    static final org.eclipse.emf.ecore.EReference PROJECT__DEPENDENCIES

  The meta object literal for the 'Dependencies' containment reference list feature.

  Generated:

### PROJECT__VIEWS

    static final org.eclipse.emf.ecore.EReference PROJECT__VIEWS

  The meta object literal for the 'Views' containment reference list feature.

  Generated:

### PROJECT__PROPERTIES

    static final org.eclipse.emf.ecore.EReference PROJECT__PROPERTIES

  The meta object literal for the 'Properties' containment reference list feature.

  Generated:

### PLUGIN

    static final org.eclipse.emf.ecore.EClass PLUGIN

  The meta object literal for the '`Plugin`' class.

  See Also:
    `MPlugin`, `MAnalysisMetaModelPackage.getPlugin()`
  Generated:

### PLUGIN__REPOSITORIES

    static final org.eclipse.emf.ecore.EReference PLUGIN__REPOSITORIES

  The meta object literal for the 'Repositories' containment reference list feature.

  Generated:

### PLUGIN__OUTPUT_PORTS

    static final org.eclipse.emf.ecore.EReference PLUGIN__OUTPUT_PORTS

  The meta object literal for the 'Output Ports' containment reference list feature.

  Generated:

### PLUGIN__DISPLAYS

    static final org.eclipse.emf.ecore.EReference PLUGIN__DISPLAYS

  The meta object literal for the 'Displays' containment reference list feature.

  Generated:

### PORT

    static final org.eclipse.emf.ecore.EClass PORT

  The meta object literal for the '`Port`' class.

  See Also:
    `MPort`, `MAnalysisMetaModelPackage.getPort()`
  Generated:

### PORT__NAME

    static final org.eclipse.emf.ecore.EAttribute PORT__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### PORT__EVENT_TYPES

    static final org.eclipse.emf.ecore.EAttribute PORT__EVENT_TYPES

  The meta object literal for the 'Event Types' attribute list feature.

  Generated:

### PORT__ID

    static final org.eclipse.emf.ecore.EAttribute PORT__ID

  The meta object literal for the 'Id' attribute feature.

  Generated:

### INPUT_PORT

    static final org.eclipse.emf.ecore.EClass INPUT_PORT

  The meta object literal for the '`Input Port`' class.

  See Also:
    `MInputPort`, `MAnalysisMetaModelPackage.getInputPort()`
  Generated:

### INPUT_PORT__PARENT

    static final org.eclipse.emf.ecore.EReference INPUT_PORT__PARENT

  The meta object literal for the 'Parent' container reference feature.

  Generated:

### OUTPUT_PORT

    static final org.eclipse.emf.ecore.EClass OUTPUT_PORT

  The meta object literal for the '`Output Port`' class.

  See Also:
    `MOutputPort`, `MAnalysisMetaModelPackage.getOutputPort()`
  Generated:

### OUTPUT_PORT__SUBSCRIBERS

    static final org.eclipse.emf.ecore.EReference OUTPUT_PORT__SUBSCRIBERS

  The meta object literal for the 'Subscribers' reference list feature.

  Generated:

### OUTPUT_PORT__PARENT

    static final org.eclipse.emf.ecore.EReference OUTPUT_PORT__PARENT

  The meta object literal for the 'Parent' container reference feature.

  Generated:

### PROPERTY

    static final org.eclipse.emf.ecore.EClass PROPERTY

  The meta object literal for the '`Property`' class.

  See Also:
    `MProperty`, `MAnalysisMetaModelPackage.getProperty()`
  Generated:

### PROPERTY__NAME

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### PROPERTY__VALUE

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__VALUE

  The meta object literal for the 'Value' attribute feature.

  Generated:

### FILTER

    static final org.eclipse.emf.ecore.EClass FILTER

  The meta object literal for the '`Filter`' class.

  See Also:
    `MFilter`, `MAnalysisMetaModelPackage.getFilter()`
  Generated:

### FILTER__INPUT_PORTS

    static final org.eclipse.emf.ecore.EReference FILTER__INPUT_PORTS

  The meta object literal for the 'Input Ports' containment reference list feature.

  Generated:

### READER

    static final org.eclipse.emf.ecore.EClass READER

  The meta object literal for the '`Reader`' class.

  See Also:
    `MReader`, `MAnalysisMetaModelPackage.getReader()`
  Generated:

### REPOSITORY

    static final org.eclipse.emf.ecore.EClass REPOSITORY

  The meta object literal for the '`Repository`' class.

  See Also:
    `MRepository`, `MAnalysisMetaModelPackage.getRepository()`
  Generated:

### DEPENDENCY

    static final org.eclipse.emf.ecore.EClass DEPENDENCY

  The meta object literal for the '`Dependency`' class.

  See Also:
    `MDependency`, `MAnalysisMetaModelPackage.getDependency()`
  Generated:

### DEPENDENCY__FILE_PATH

    static final org.eclipse.emf.ecore.EAttribute DEPENDENCY__FILE_PATH

  The meta object literal for the 'File Path' attribute feature.

  Generated:

### REPOSITORY_CONNECTOR

    static final org.eclipse.emf.ecore.EClass REPOSITORY_CONNECTOR

  The meta object literal for the '`Repository Connector`' class.

  See Also:
    `MRepositoryConnector`, `MAnalysisMetaModelPackage.getRepositoryConnector()`
  Generated:

### REPOSITORY_CONNECTOR__NAME

    static final org.eclipse.emf.ecore.EAttribute REPOSITORY_CONNECTOR__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### REPOSITORY_CONNECTOR__REPOSITORY

    static final org.eclipse.emf.ecore.EReference REPOSITORY_CONNECTOR__REPOSITORY

  The meta object literal for the 'Repository' reference feature.

  Generated:

### REPOSITORY_CONNECTOR__ID

    static final org.eclipse.emf.ecore.EAttribute REPOSITORY_CONNECTOR__ID

  The meta object literal for the 'Id' attribute feature.

  Generated:

### DISPLAY

    static final org.eclipse.emf.ecore.EClass DISPLAY

  The meta object literal for the '`Display`' class.

  See Also:
    `MDisplay`, `MAnalysisMetaModelPackage.getDisplay()`
  Generated:

### DISPLAY__NAME

    static final org.eclipse.emf.ecore.EAttribute DISPLAY__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### DISPLAY__PARENT

    static final org.eclipse.emf.ecore.EReference DISPLAY__PARENT

  The meta object literal for the 'Parent' container reference feature.

  Generated:

### DISPLAY__ID

    static final org.eclipse.emf.ecore.EAttribute DISPLAY__ID

  The meta object literal for the 'Id' attribute feature.

  Generated:

### VIEW

    static final org.eclipse.emf.ecore.EClass VIEW

  The meta object literal for the '`View`' class.

  See Also:
    `MView`, `MAnalysisMetaModelPackage.getView()`
  Generated:

### VIEW__NAME

    static final org.eclipse.emf.ecore.EAttribute VIEW__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### VIEW__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute VIEW__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

  Generated:

### VIEW__DISPLAY_CONNECTORS

    static final org.eclipse.emf.ecore.EReference VIEW__DISPLAY_CONNECTORS

  The meta object literal for the 'Display Connectors' containment reference list feature.

  Generated:

### VIEW__ID

    static final org.eclipse.emf.ecore.EAttribute VIEW__ID

  The meta object literal for the 'Id' attribute feature.

  Generated:

### DISPLAY_CONNECTOR

    static final org.eclipse.emf.ecore.EClass DISPLAY_CONNECTOR

  The meta object literal for the '`Display Connector`' class.

  See Also:
    `MDisplayConnector`, `MAnalysisMetaModelPackage.getDisplayConnector()`
  Generated:

### DISPLAY_CONNECTOR__NAME

    static final org.eclipse.emf.ecore.EAttribute DISPLAY_CONNECTOR__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### DISPLAY_CONNECTOR__DISPLAY

    static final org.eclipse.emf.ecore.EReference DISPLAY_CONNECTOR__DISPLAY

  The meta object literal for the 'Display' reference feature.

  Generated:

### DISPLAY_CONNECTOR__ID

    static final org.eclipse.emf.ecore.EAttribute DISPLAY_CONNECTOR__ID

  The meta object literal for the 'Id' attribute feature.

  Generated:

### ANALYSIS_COMPONENT

    static final org.eclipse.emf.ecore.EClass ANALYSIS_COMPONENT

  The meta object literal for the '`Analysis Component`' class.

  See Also:
    `MAnalysisComponent`, `MAnalysisMetaModelPackage.getAnalysisComponent()`
  Generated:

### ANALYSIS_COMPONENT__NAME

    static final org.eclipse.emf.ecore.EAttribute ANALYSIS_COMPONENT__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### ANALYSIS_COMPONENT__CLASSNAME

    static final org.eclipse.emf.ecore.EAttribute ANALYSIS_COMPONENT__CLASSNAME

  The meta object literal for the 'Classname' attribute feature.

  Generated:

### ANALYSIS_COMPONENT__PROPERTIES

    static final org.eclipse.emf.ecore.EReference ANALYSIS_COMPONENT__PROPERTIES

  The meta object literal for the 'Properties' containment reference list feature.

  Generated:

### ANALYSIS_COMPONENT__ID

    static final org.eclipse.emf.ecore.EAttribute ANALYSIS_COMPONENT__ID

  The meta object literal for the 'Id' attribute feature.

  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net